Package org.xnio.channels

# Interface CloseListenerSettable<C extends Channel>

All Known Implementing Classes:
  `ConduitReadableMessageChannel`, `ConduitStreamSinkChannel`, `ConduitStreamSourceChannel`, `ConduitWritableMessageChannel`, `EmptyStreamSourceChannel`, `FixedLengthStreamSinkChannel`, `FixedLengthStreamSourceChannel`, `FramedMessageChannel`, `JsseSslConnection`, `JsseSslStreamConnection`, `MessageConnection`, `NullStreamSinkChannel`, `SplitStreamSinkChannel`, `SplitStreamSourceChannel`, `SslConnection`, `StreamConnection`, `TranslatingSuspendableChannel`

public interface CloseListenerSettable<C extends Channel>
An object which supports directly setting the close listener may implement this interface.

Author:
  David M. Lloyd

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`CloseListenerSettable.Setter<C extends Channel>`
A channel listener setter implementation which delegates to the appropriate setter method.

## Method Summary

Modifier and Type
Method
Description
`ChannelListener<? super C>`
`getCloseListener()`
Get the close listener.
`void`
`setCloseListener(ChannelListener<? super C> listener)`
Set the close listener.

## Method Details

### setCloseListener

void setCloseListener(ChannelListener<? super C> listener)
Set the close listener.

Parameters:
  `listener` - the close listener

### getCloseListener

ChannelListener<? super C> getCloseListener()
Get the close listener.

Returns:
  the close listener